Theme Options not working after upgrade

This topic is: Not resolved

This is a PRIVATE forum for verified users only, to view the replies/answers, you must be logged in!

This topic contains 5 replies, has 3 voices, and was last updated by  AR 2 months, 1 week ago.

  • Author
    Posts
  • #14308

    AR
    Member
    Post count: 5

    I just upgraded from Elegance version 1.0.1.9 to 1.0.3, but now I can’t access the theme options panel. I already tried switching to Twentysixteen and back to Elegance, but it still doesn’t show up. The menu item is there, but it just doesn’t show anything after clicking on it. It probably has to do with the yeahthemes -> wpthms change, but I don’t know how to resolve it.

    Regards, AR

  • #14309

    AR
    Member
    Post count: 5

    I figured it out, in /framework/admin/assets some of the files were still named yeahthemes, I changed that to wpthms and now it is kind of working. Is there anything else I have to double-check?

  • #14315

    Jacob
    Staff
    Post count: 2373

    Hey there, You must be logged in to view this reply!

    Login | Register | Forgot Password?

  • #14323

    AR
    Member
    Post count: 5

    No, I didn’t actually. Going to update now.
    Also, columns are not working anymore… (col-xs-6, col-sm-4) Did anything change with the update?

  • #14326

    Max
    Staff
    Post count: 3150

    Hey there, You must be logged in to view this reply!

    Login | Register | Forgot Password?

  • #14387

    AR
    Member
    Post count: 5

    I found the problem with the column class. The yt-shortcode plugin has an error in the yt_shortcode_column function. The line with;
    $output = sprintf( '<div class="yt-shortcode-column %s">', esc_attr( $id ) , esc_attr( $class ) );
    has two arguments, yet only one placeholder. I fixed it by changing the line to

    $output = sprintf( '<div class="yt-shortcode-column %s">', esc_attr( $class ) );

    I don’t know if the plugins and theme have more errors like these, will find out by testing. I also noticed that you use a lot of extract which is deprecated by WordPress..

You must be logged in to reply to this topic.

This is a PRIVATE forum for verified users only, to view the replies/answers, you must be logged in!